//
//  YHItemModel.swift
//  galaxy
//
//  Created by EDY on 2024/1/25.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

enum YHItemSelectType: Int {
    case normal = 0
    case address = 1
    case time = 2
    case image = 3
    case id = 4
    case country = 5
    case sex = 6
    case marry = 7
}

struct YHItemModel {
    var isNeed: Bool?
    var title: String?
    var isUserKeyBoard: Bool?
    var prompts: String?
    var message: String?
    var leftButtonString: String?
    var rightButtonString: String?
    var type: YHItemSelectType?
    
    init(isNeed: Bool? = nil, title: String? = nil, isUserKeyBoard: Bool? = nil, prompts: String? = nil, message: String? = nil, leftButtonString: String? = nil, rightButtonString: String? = nil, type: YHItemSelectType? = nil) {
        self.isNeed = isNeed
        self.title = title
        self.isUserKeyBoard = isUserKeyBoard
        self.prompts = prompts
        self.message = message
        self.leftButtonString = leftButtonString
        self.rightButtonString = rightButtonString
        self.type = type
    }
}

struct YHSectionItemModel {
    var title: String?
    var models: [YHItemModel]?
    
    init(title: String? = nil, models: [YHItemModel]? = nil) {
        self.title = title
        self.models = models
    }
}

